transform {base} | R Documentation

## Transform an Object, for Example a Data Frame

### Description

`transform` is a generic function, which—at least currently—only does anything useful with data frames. `transform.default` converts its first argument to a data frame if possible and calls `transform.data.frame`.

### Usage

    transform(`_data`, ...)

### Arguments

`_data` | The object to be transformed
`...` | Further arguments of the form `tag=value`

### Details

The `...` arguments to `transform.data.frame` are tagged vector expressions, which are evaluated in the data frame `_data`. The tags are matched against `names(_data)`, and for those that match, the value replace the corresponding variable in `_data`, and the others are appended to `_data`.

### Value

The modified value of `_data`.

### Note

Prior to R 2.3.0, the first argument was named `x`, but this caused trouble if people wanted to create a variable of that name. Names starting with an underscore are syntactically invalid, so the current choice should be less problematic.

If some of the values are not vectors of the appropriate length, you deserve whatever you get!

### Author(s)

Peter Dalgaard

### See Also

`within` for a more flexible approach, `subset`, `list`, `data.frame`

### Examples

    transform(airquality, Ozone = -Ozone)
    transform(airquality, new = -Ozone, Temp = (Temp-32)/1.8)

    attach(airquality)
    transform(Ozone, logOzone = log(Ozone)) # marginally interesting ...
    detach(airquality)

[Package base version 2.15.2 Index]